Order entry
Cancel order
Cancel one resting order. Never rate limited.
DELETE
/
portfolio
/
orders
/
{order_id}
Cancel order
curl --request DELETE \
--url https://api.updown.fast/trade-api/v1/portfolio/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"order": {
"order_id": "<string>",
"client_order_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"time_in_force": "good_till_canceled",
"post_only": true,
"status": "resting",
"count": "<string>",
"fill_count": "<string>",
"remaining_count": "<string>",
"created_ts_ms": 4503599627370495,
"average_fill_price": "<string>",
"fees_paid": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}⌘I
Cancel order
curl --request DELETE \
--url https://api.updown.fast/trade-api/v1/portfolio/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"order": {
"order_id": "<string>",
"client_order_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"time_in_force": "good_till_canceled",
"post_only": true,
"status": "resting",
"count": "<string>",
"fill_count": "<string>",
"remaining_count": "<string>",
"created_ts_ms": 4503599627370495,
"average_fill_price": "<string>",
"fees_paid": "<string>"
}
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}